
Redmine - Defect #6694

Bug in project name when create issue by email

2010-10-18 16:13 - Denis Chumachenko

Status: Closed Start date: 2010-10-18

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.2

Description

I think you must replace the code in the function Project.find_by_identifier Project.find_by_name

otherwise it is impossible to create issues via email in case if the ID is not equal to the name of the project

app/models/mail_handler.rb

def target_project

Project.find_by_identifier change to Project.find_by_name

Related issues:

Has duplicate Redmine - Patch #32522: Add Project.find_by_name to target_project New

History

#1 - 2010-10-18 16:42 - Eric Davis

- Status changed from New to Closed

- Estimated time deleted (0.15 h)

- Resolution set to Invalid

You need to use the identifier of the project and not the name.  See  RedmineReceivingEmails for the documentation.

#2 - 2010-10-18 17:07 - Denis Chumachenko

I think it is not logical to use Project ID . Project manager or the user may not know the Project ID but he knows the name of the project. I think it is

best to use the project name in this case.

And you are using in letter field "Project:"  not "Project ID:"

but how do you like ... I have to do if a separate patch .. I think that I'm not alone with this problem

#3 - 2019-11-28 03:00 - Go MAEDA

- Has duplicate Patch #32522: Add Project.find_by_name to target_project added
